import FolderIcon from '@mui/icons-material/Folder';
import Breadcrumbs from '@mui/joy/Breadcrumbs';
import Button from '@mui/joy/Button';
import Link from '@mui/joy/Link';
import Typography from '@mui/joy/Typography';
import * as React from 'react';

export default function CollapsedBreadcrumbs() {
  const [collapsed, setCollapsed] = React.useState(true);
  const [navigationItems, setNavigationItems] = React.useState([
    'Programs',
    'Files',
    'Services',
  ]);

  return (
    <Breadcrumbs separator="›" aria-label="breadcrumbs">
      {collapsed ? (
        <Button
          size="sm"
          onClick={() => {
            setNavigationItems((prev) => ['Root', 'Home', ...prev]);
            setCollapsed(false);
          }}
          variant="plain"
          color="info"
        >
          •••
        </Button>
      ) : null}
      {navigationItems.map((item) => (
        <Link
          // The `preventDefault` is for demonstration purposes, generally, you don't need it in your application
          onClick={(event) => event.preventDefault()}
          underline="hover"
          color="info"
          href="/"
          fontSize="inherit"
        >
          <FolderIcon sx={{ mr: 0.5 }} fontSize="inherit" color="inherit" />
          {item}
        </Link>
      ))}

      <Typography fontSize="inherit" sx={{ display: 'flex', alignItems: 'center' }}>
        <FolderIcon sx={{ mr: 0.5 }} fontSize="inherit" />
        bablo.txt
      </Typography>
    </Breadcrumbs>
  );
}
