- - -
title: Overview
- - -

# Joy UI - Overview

<p class="description">Joy UI is a library of beautifully designed React UI components.</p>

It features foundational components such as the ones you'd find in Material UI and it comes with a beautifully designed default theme so you can rapidly start your own design system. You should see Joy UI as a starting point. It comes with a lot of customization features so you match it to your desired look and feel.

:::warning
**Note:** as of today, Joy UI is in active development, with an alpha version soon to be released.

We're adding new components and features regularly, and you're welcome to contribute!

Look for the [`package: joy`](https://github.com/mui/material-ui/labels/package%3A%20joy) label on open issues and pull requests in the `mui/material-ui` repository on GitHub to see what other community members are working on, and feel free to submit your own.
:::

## Joy UI 的优势

- **更快交付：** Joy UI 给了您大量你开发网页应用所需的预定义组件， 圆润而细致的外观感，让你能够在没有设计师的情况下取得很好的结果。
- **深度自定义：** 你可以自定义 Joy UI 每一个小块组件，使得它们符合你的设计风格。
- **可访问性：** Joy UI 是建立在 [MUI Base  的无样式基础组件和低级钩子上](/base/getting-started/overview/)的一套新组件，并给予您开箱即用的一些辅助功能支持。 我们尽最大努力使所有组件对屏幕阅读器友好，同时文档中也提供了无障碍访问的建议。

## Joy UI 与 Material UI 对比

Joy UI is meant to feature the same list of components you'd find in Material UI, with similar philosophy around component API and customization extensibility, but without the Material Design look & feel.

If you ever wanted to use Material UI for the breadth of supported components, carefully written component API, and reliability of a tried and tested library but hesitated because of Material Design, Joy UI is here to solve that for you and act as the best alternative for that.

## 原则

### 保持基础性

Joy UI should work with the least amount of effort possible. We're striving for the essential only, both in the component API and design (look & feel). Components should have only what they need to do the job. What is considered essential will be drawn from MUI's experience over the years developing component libraries, as well as from benchmarks of modern API and design guidelines—especially when it comes to developing web apps.

### 直接使用也不错

Joy UI needs to be simple yet characteristic. Visual attributes such as scale, size, and density should be consistent across all of the components so they live together nicely. We aim to spark delight with simplicity and attention to detail. You should feel like your UI looks great from the start.

### 鼓励创新

We're aiming for Joy UI to be entirely customizable, and seen as a great starting point. This is meant to encourage you to extend, change, and revamp how Joy UI looks. Be creative by making it your own.

### 聚焦于开发者体验

A great developer experience is not only the quality of the code we ship but also how clear the documentation is, and what learning resources are available for developers. We hope that bundling it all together brings joy.
