---
title: Overview
---

# Joy UI - Overview

<p class="description">Joy UI is a library of beautifully designed React UI components built to spark joy in the development process.</p>

## Introduction

Joy UI is an open-source React component library that implements MUI's own in-house design [principles](#principles).

It includes foundational pre-built components that look beautiful by default, and give you plenty of room to customize their look and feel.

Use Joy UI to spark joy in the creative process of building your next app.

:::warning
Joy UI is currently in active development, and breaking changes are to be expected.

We're adding new components and features regularly, and you're welcome to contribute!

Look for the [`package: joy`](https://github.com/mui/material-ui/labels/package%3A%20joy) label on open issues and pull requests in the `mui/material-ui` repository on GitHub to see what other community members are working on, and feel free to submit your own.
:::

## Advantages of Joy UI

- **Ship faster:** Joy UI gives you pre-built components with a sleek and carefully designed look and feel, so you don't need design skills to ship beautiful UIs rapidly.
- **Extensive customization options:** you can customize each and every tiny piece of Joy UI's components to match your own unique design.
- **Accessibility in mind:** Joy UI components are built on top of [MUI Base's unstyled components and low-level hooks](/base/getting-started/overview/), giving you support for many accessibility features out of the box.
  We do our best to make all components screen reader-friendly, and also offer suggestions for optimizing accessibility throughout our documentation.

## Joy UI vs. Material UI

Joy UI is intended to serve as an alternative to Material UI for designs that don't adhere to Material Design specifications.
These two sister libraries feature many of the same components, and similarly designed component APIs, so you can quickly start building with one if you've used the other before.

Try Joy UI if you appreciate the comprehensiveness and reliability of Material UI, but don't need all of the additional baggage that comes along with Material Design.

## Principles

### Include only what's essential

Joy UI should work with the least amount of effort possible.
We're striving for the essential only, both in the component API and design (look and feel).

Components should have only what they need to do the job.
What is considered essential is drawn from MUI's experience over the years developing component libraries, as well as from benchmarks of modern API and design guidelines—especially when it comes to developing web apps.

### Make it beautiful out of the box

Joy UI needs to be simple yet characteristic.
Visual attributes such as scale, size, and density should be consistent across all of the components so they live together nicely.

We aim to spark delight with simplicity and attention to detail.
You should feel like your UI looks great from the start.

### Encourage creativity

Working with Joy UI shouldn't feel stiff or rigid—you should feel inspired and empowered to change, extend, and revamp Joy UI's appearance and behavior with ease.
We want it to become your go-to starting point for building UIs.

### Prioritize developer experience

A great developer experience is not only about the quality of the code we ship, but also about how clear the documentation is, and what learning resources are available for developers.
We hope that every step of the experience brings you joy.
