---
product: material-ui
title: React Textarea Autosize（自适应文本框）组件
components: TextareaAutosize
githubLabel: 'component: TextareaAutosize'
---

# Textarea Autosize 自适应文本框

<p class="description">一个自适应内容大小的 React 文本框组件。</p>

- 📦 [1.5 kB gzipped](/size-snapshot/)

当触发键盘和窗口大小事件的时候，`TextareaAutosize` 组件将自动调整的文本框的高度。

{{"component": "modules/components/ComponentLinkHeader.js", "design": false}}

## 空白的文本框

{{"demo": "EmptyTextarea.js"}}

## 最小高度

{{"demo": "MinHeightTextarea.js"}}

## 最大高度

{{"demo": "MaxHeightTextarea.js"}}

## Base

The [TextareaAutosize](/base/react-textarea-autosize/) component is defined in the @mui/base package. It is reexported from @mui/material for convenience. In your application you may import it from either package.

```js
import TextareaAutosize from '@mui/base/TextareaAutosize';
```
