---
product: material-ui
title: Textarea Autosize React component
components: TextareaAutosize
githubLabel: 'component: TextareaAutosize'
---

# Textarea Autosize

<p class="description">A textarea component for React which grows with content.</p>

- 📦 [1.5 kB gzipped](/size-snapshot/)

The `TextareaAutosize` component automatically adjust the textarea height on keyboard and window resize events.

{{"component": "modules/components/ComponentLinkHeader.js", "design": false}}

## Empty

{{"demo": "EmptyTextarea.js"}}

## Minimum height

{{"demo": "MinHeightTextarea.js"}}

## Maximum height

{{"demo": "MaxHeightTextarea.js"}}

## Base

The [TextareaAutosize](/base/react-textarea-autosize/) component is defined in the @mui/base package.
It is reexported from @mui/material for convenience.
In your application you may import it from either package.

```js
import TextareaAutosize from '@mui/base/TextareaAutosize';
```
