# Projetos de exemplo

<p class="description">Uma seleção de projetos de exemplo para começar.</p>

## Exemplos oficiais

Você pode encontrar alguns exemplos de projetos no repositório [GitHub](https://github.com/mui/material-ui) na pasta [`/examples`](https://github.com/mui/material-ui/tree/master/examples):

<!-- #default-branch-switch -->

- [Next.js](https://github.com/mui/material-ui/tree/master/examples/nextjs) ([TypeScript version](https://github.com/mui/material-ui/tree/master/examples/nextjs-with-typescript))
- [Create React App](https://github.com/mui/material-ui/tree/master/examples/create-react-app) ([TypeScript version](https://github.com/mui/material-ui/tree/master/examples/create-react-app-with-typescript))
- [Remix](https://github.com/mui/material-ui/tree/master/examples/remix-with-typescript)
- [Gatsby](https://github.com/mui/material-ui/tree/master/examples/gatsby)
- [Preact](https://github.com/mui/material-ui/tree/master/examples/preact)
- [CDN](https://github.com/mui/material-ui/tree/master/examples/cdn)
- [Plain server-side](https://github.com/mui/material-ui/tree/master/examples/ssr)
- [Tailwind CSS](https://github.com/mui/material-ui/tree/master/examples/tailwind-css)
- [Vite.js](https://github.com/mui/material-ui/tree/master/examples/vitejs)
- [Use styled-components as style engine](https://github.com/mui/material-ui/tree/master/examples/create-react-app-with-styled-components) ([TypeScript version](https://github.com/mui/material-ui/tree/master/examples/create-react-app-with-styled-components-typescript))
- [Next.js + @mui/styles (v4 migration helper)](https://github.com/mui/material-ui/tree/master/examples/nextjs-with-typescript-v4-migration)

Create React App é um projeto incrível para aprender React. Have a look at [the alternatives available](https://github.com/facebook/create-react-app/blob/HEAD/README.md#popular-alternatives) to see which project best fits your needs.

O código-fonte deste site de documentação também está incluído no repositório. Este é um projeto um pouco mais complexo. Confira a pasta [`/docs`](https://github.com/mui/material-ui/tree/master/docs) para instruções de compilação.

## Projetos de exemplo mais avançados

If you want to start with a more complete and real-world example, you could take a look at the [premium themes & templates](https://mui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=example-projects-store) or:

### Grátis

- [GraphQL API and Relay Starter Kit](https://github.com/kriasoft/relay-starter-kit):

  - ![estrelas](https://img.shields.io/github/stars/kriasoft/graphql-starter.svg?style=social&label=Star)
  - GraphQL API project using code-first design (TypeScript, OAuth, GraphQL.js, Knex, Cloud SQL)
  - Web application project pre-configured with Webpack v5, TypeScript, React, Relay, Material UI
  - Serverless deployment: `api` -> Cloud Functions, `web` -> Cloudflare Workers
  - Client-side page routing/rendering at CDN edge locations, lazy loading
  - Optimized for fast CI/CD builds and deployments using Yarn v2 monorepo design

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted):

  - ![estrelas](https://img.shields.io/github/stars/TarikHuber/react-most-wanted.svg?style=social&label=Star)
  - Criado com o Create React App
  - Script customizado de Create React App para iniciar um novo projeto com somente um único comando CLI
  - Construído para Firebase incluindo autenticação usando a oficial Firebase Web Auth UI
  - Roteamento com React Router, incluindo manipulação de erros (404) e carregamento tardio
  - Todos os recursos PWA incluídos (SW, Notificações, prompt de instalação diferido e muito mais)
  - Desempenho otimizado e escalável (todos ~100 pontos em Lighthouse)

<!-- TODO: revert this once it is migrated to v5
- [React SaaS Template](https://github.com/dunky11/react-saas-template):

  - ![stars](https://img.shields.io/github/stars/dunky11/react-saas-template.svg?style=social&label=Star)
  - Created with Create React App
  - Features a landing page, a blog, an area to login/register and an admin-dashboard
  - Fully routed using react-router
  - Lazy loads components to boost performance
  - Components for statistics, text with emoji support, image upload and much more...
-->

<!-- TODO: revert this once it is migrated to v5
- [Material Sense](https://github.com/alexanmtz/material-sense):

  - ![stars](https://img.shields.io/github/stars/alexanmtz/material-sense.svg?style=social&label=Star)
  - Graph using recharts
  - React Router included with a navigation example
  - A docker container with an Nginx server for production build
  - Created with Create React App
-->

### Pago

- [ScaffoldHub](https://scaffoldhub.io/?partner=1):

  - Crie o seu aplicativo completo com esta ferramenta online
  - Escolha o seu framework e biblioteca (React & Material-UI!)
  - Escolha seu banco de dados (SQL, MongoDB ou Firestore)
  - Modele seu banco de dados e aplicativo com uma interface intuitiva
  - Gere sua aplicação, incluindo um scaffolded de backend completo
  - Pré-visualize seu aplicativo online, e baixe o código gerado

- [Divjoy](https://divjoy.com?via=material-ui):

  - Create your Material-UI app in minutes.
  - Você irá ter um oótimo modelo, autenticação, integração com banco de dados, incrições de pagamentos, e mais
