# 示例项目

<p class="description">请参考以下一些入门项目，来帮助你快速开始。</p>

## 官方示例

您可以在 [GitHub 存储库](https://github.com/mui/material-ui)中的 [`/examples`](https://github.com/mui/material-ui/tree/master/examples) 文件夹下找到一些示例项目：

<!-- #default-branch-switch -->

- [Next.js](https://github.com/mui/material-ui/tree/next/examples/nextjs) （[TypeScript 版本](https://github.com/mui/material-ui/tree/next/examples/nextjs-with-typescript)）
- [Create React App](https://github.com/mui/material-ui/tree/next/examples/create-react-app) （[TypeScript 版本](https://github.com/mui/material-ui/tree/next/examples/create-react-app-with-typescript)）
- [Remix](https://github.com/mui/material-ui/tree/master/examples/remix-with-typescript)
- [Gatsby](https://github.com/mui/material-ui/tree/master/examples/gatsby)
- [Preact](https://github.com/mui/material-ui/tree/master/examples/preact)
- [CDN](https://github.com/mui/material-ui/tree/master/examples/cdn)
- [Plain server-side](https://github.com/mui/material-ui/tree/master/examples/ssr)
- [Tailwind CSS](https://github.com/mui/material-ui/tree/master/examples/tailwind-css)
- [Vite.js](https://github.com/mui/material-ui/tree/master/examples/vitejs)
- [Use styled-components as style engine](https://github.com/mui/material-ui/tree/master/examples/create-react-app-with-styled-components) ([TypeScript version](https://github.com/mui/material-ui/tree/master/examples/create-react-app-with-styled-components-typescript))
- [Next.js + @mui/styles (v4 migration helper)](https://github.com/mui/material-ui/tree/master/examples/nextjs-with-typescript-v4-migration)

Create React App 是一个很棒的学习 React 的项目。 Have a look at [the alternatives available](https://github.com/facebook/create-react-app/blob/HEAD/README.md#popular-alternatives) to see which project best fits your needs.

此文档站点的源代码也包含在存储库中。 这是一个稍微复杂一点的项目。 请查看 [`/ docs`](https://github.com/mui/material-ui/tree/master/docs) 文件夹以获取创建项目的说明。

## 进阶示例项目

If you want to start with a more complete and real-world example, you could take a look at the [premium themes & templates](https://mui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=example-projects-store) or:

### 免费的资源

- [GraphQL API and Relay Starter Kit](https://github.com/kriasoft/relay-starter-kit):

  - ![stars](https://img.shields.io/github/stars/kriasoft/graphql-starter.svg?style=social&label=Star)
  - GraphQL API project using code-first design (TypeScript, OAuth, GraphQL.js, Knex, Cloud SQL)
  - Web application project pre-configured with Webpack v5, TypeScript, React, Relay, Material UI
  - Serverless deployment: `api` -> Cloud Functions, `web` -> Cloudflare Workers
  - Client-side page routing/rendering at CDN edge locations, lazy loading
  - Optimized for fast CI/CD builds and deployments using Yarn v2 monorepo design

- [React 最常用到的](https://github.com/TarikHuber/react-most-wanted)：

  - ![stars](https://img.shields.io/github/stars/TarikHuber/react-most-wanted.svg?style=social&label=Star)
  - 使用 Create React App 创建
  - 定制化的 Create React App 仅需单行 CLI 命令就能开始一个新项目
  - 使用官方的 Firebase Web Auth UI 来构建 Firebase，并涵盖了身份验证
  - 使用 React Router 进行路由，包括错误处理（404）和延迟加载
  - 包含所有渐进式网页应用（PWA）的功能（SW 即 Service Worker， 通知，延迟安装的提示，以及更多）
  - 优化和可扩展的性能（在 Lighthouse 总共有大约 100 分）

<!-- TODO: revert this once it is migrated to v5
- [React SaaS Template](https://github.com/dunky11/react-saas-template):

  - ![stars](https://img.shields.io/github/stars/dunky11/react-saas-template.svg?style=social&label=Star)
  - Created with Create React App
  - Features a landing page, a blog, an area to login/register and an admin-dashboard
  - Fully routed using react-router
  - Lazy loads components to boost performance
  - Components for statistics, text with emoji support, image upload and much more...
-->

<!-- TODO: revert this once it is migrated to v5
- [Material Sense](https://github.com/alexanmtz/material-sense):

  - ![stars](https://img.shields.io/github/stars/alexanmtz/material-sense.svg?style=social&label=Star)
  - Graph using recharts
  - React Router included with a navigation example
  - A docker container with an Nginx server for production build
  - Created with Create React App
-->

### 付费的资源

- [ScaffoldHub](https://scaffoldhub.io/?partner=1):

  - 使用此在线工具构建您的完整应用程序
  - 选择您的框架和库（React & Material UI!）
  - 选择您的数据库（SQL，MongoDB 或 Firestree）
  - 用直观的 GUI 模拟你的数据库和应用程序
  - 生成您的应用程序，包括一个完整的 scaffolded 后台
  - 在线预览您的应用程序，并下载生成的代码

- [Divjoy](https://divjoy.com?via=material-ui):

  - 在几分钟内创建您的 MUI 应用程序。
  - 您将获得一个好模板、认证模块、数据库整合、订阅付款等等。
