---
title: Overview
---

# Material UI - Overview

<p class="description">Material UI is a library of React UI components that implements Google's Material Design.</p>

## Introduction

Material UI is an open-source React component library that implements Google's [Material Design](https://material.io/).

It includes a comprehensive collection of prebuilt components that are ready for use in production right out of the box.

Material UI is beautiful by design and features a suite of customization options that make it easy to implement your own custom design system on top of our components.

:::info
Material UI v5 supports Material Design v2.
Adoption of v3 is tentatively planned for Material UI v6—see [the release schedule](https://mui.com/versions/#release-schedule).
You can follow [this GitHub issue](https://github.com/mui/material-ui/issues/29345) for future updates.
:::

## Advantages of Material UI

- **Ship faster:** Over 2,500 open-source [contributors](https://github.com/mui/material-ui/graphs/contributors) have poured countless hours into these components.
  Focus on your core business logic instead of reinventing the wheel—we've got your UI covered.
- **Beautiful by default:** we're meticulous about our implementation of [Material Design](https://material.io/), ensuring that every Material UI component meets the highest standards of form and function,
  but diverge from the official spec where necessary to provide multiple great options.
- **Customizability:** the library includes an extensive set of intuitive customizability features. [The templates](https://mui.com/store/) in our store demonstrate how far you can go with customization.
- **Cross-team collaboration:** Material UI's intuitive developer experience reduces the barrier to entry for back-end developers and less technical designers, empowering teams to collaborate more effectively.
  The [design kits](https://mui.com/design-kits/) streamline your workflow and boost consistency between designers and developers.
- **Trusted by thousands of organizations:** Material UI has the largest UI community in the React ecosystem.
  It's almost as old as React itself—its history stretches back to 2014—and we're in this for the long haul.
  You can count on community's support for years to come (e.g. [Stack Overflow](https://insights.stackoverflow.com/trends?tags=material-ui)).

## Material UI vs. MUI Base

Material UI and [MUI Base](/base/getting-started/overview/) feature many of the same UI components, but MUI Base comes without any default styles or styling solutions.

Material UI is _comprehensive_ in that it comes packaged with default styles, and is optimized to work with [Emotion](https://emotion.sh/) (or [styled-components](https://styled-components.com/)).

MUI Base, by contrast, could be considered the "skeletal" or "headless" counterpart to Material UI—in fact, Material UI v6 will use MUI Base components and hooks for its foundational structure.
