# Suporte

<p class="description">From community help to premium critical business support, we're here to help.</p>

## Ajuda da comunidade (grátis)

A comunidade é sua primeira parada para perguntas e conselhos sobre o framework. Bem-vindo à comunidade!

### Stack Overflow

For crowdsourced answers from expert MUI developers in our community. Stack Overflow is also visited from time to time by the maintainers of MUI.

[Poste uma pergunta](https://stackoverflow.com/questions/tagged/mui)

:::info
💡 **Tip**:

If you're using an older version and use external resources (such as Stack Overflow) for help with it, you may find answers with links that direct you to content that no longer exists in the latest version of the documentation. To easily access any previous version of the docs, simply add `v[number]` at the beginning of the URL, like so: [v4.mui.com](https://v4.mui.com/).

:::

### GitHub

MUI uses GitHub issues as a bug and feature request tracker. If you think you have found a bug, or have a new feature idea, please start by making sure it hasn't already been [reported or fixed](https://github.com/mui/material-ui/issues?utf8=%E2%9C%93&q=is%3Aopen+is%3Aclosed). You can search through existing issues and pull requests to see if someone has reported one similar to yours.

- [Abra uma issue](https://github.com/mui/material-ui/issues/new/choose)
- [Open an issue on MUI X](https://github.com/mui/mui-x/issues/new/choose)

#### Novas diretrizes para issues

- Por favor, siga o modelo de issue.
- Comece o título com '[ComponentName]', quando apropriado, e use uma descrição sucinta que ajude outras pessoas a encontrar issues semelhantes.
  - "doesn't work" ❌
  - "[Button] Add support for <some feature>" ✅
- Não agrupe vários tópicos em uma issue - cada um deve ter sua própria issue.
- Por favor, não comente "+1" em uma issue. Isso engana os mantenedores e não ajuda a avançar com a issue. Use as reações do GitHub (👍).

### Blog 📝

Stay up to date with the development of the library by following the blog.

[Read the latest posts](https://mui.com/blog/)

### Recursos 📖

New to MUI? It's easy to learn if you know where to start!

[Learn MUI](/material-ui/getting-started/learn/)

### Twitter

Receive the latest news on MUI.

[Follow us](https://twitter.com/MUI_hq)

### Versões suportadas

Find details on the [supported versions](/versions/#supported-versions).

## Paid support

### Pro/Premium plans

MUI X comes in [three plans](https://mui.com/pricing/). The support available under the Community plan is made possible thanks to people like you: the community. This is described in more detail in the section above. MUI X maintainers focus on solving root issues rather than offering direct support to the community at large.

The paid plans offer developers advanced components and extra features that are challenging to find in OSS. To provide a similar quality of experience to the one provided by the community for MIT licensed code, the developers of MUI X provide support for the advanced components only. Technical support for MUI Core components is **not** included.

The Premium plan provides developers with the highest priority for support tickets. No SLAs are provided yet; it's coming.

Please visit [the MUI X Support page](https://mui.com/x/introduction/support/#technical-support) for more detailed information on technical support.

### Tidelift subscription

MUI and the maintainers of thousands of other packages are working with Tidelift to deliver one enterprise subscription that covers all of the open-source you use.

If you want the flexibility of open-source and the confidence of commercial-grade software, this is worth looking at.

The Tidelift Subscription manages your dependencies for you:

- Get the tools you need to continuously catalog and understand the open-source software that your application depends on.
- Your subscription helps pay the open-source community maintainers of the packages you use, to ensure they meet the standards you require.
- Address issues proactively, with tools that scan for new security, licensing, and maintenance issues, and alert participating open-source maintainers so they can resolve them on your behalf.
- Tidelift helps measure and improve your open-source dependencies' health – which improves your app's health – and gives a shortlist of high-impact steps your team can take to improve them even more.
- Get commercial assurances that don't come for free with open-source packages, such as intellectual property indemnification and support under a service level agreement. You expect these guarantees from proprietary software, and you can get them when using open-source as well.

The end result? All of the capabilities you expect from commercial-grade software, for the full breadth of open-source you use. That means less time grappling with esoteric open-source trivia, and more time building your own applications – and your business.

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/pkg/npm-material-ui?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise">
Obter mais detalhes
</a>

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/request-a-demo?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise">
Solicite uma demonstração
</a>

### Trabalho customizado 🛠

Tweak MUI to meet specific requirements. Give us a summary of your needs and we'll help you if we can. We might:

- Give you an estimate of time and price if the work is straightforward
- Suggest alternatives that might not require MUI
- Decline the work due to timing or relevancy

Note that work must be MUI related. We don't accept general React development work. Our contracting price is $200/hour or $1,500/day.

[Send us an email](mailto:custom-work@mui.com)
