# 支持

<p class="description">From community help to premium critical business support, we're here to help.</p>

## 社区的帮助（免费）

若您对框架有一些提问或给出建议，社区是您的第一站。 欢迎来到社区！

### Stack Overflow

For crowdsourced answers from expert MUI developers in our community. Stack Overflow is also visited from time to time by the maintainers of MUI.

[发布一个问题](https://stackoverflow.com/questions/tagged/mui)

:::info
💡 **Tip**:

If you're using an older version and use external resources (such as Stack Overflow) for help with it, you may find answers with links that direct you to content that no longer exists in the latest version of the documentation. To easily access any previous version of the docs, simply add `v[number]` at the beginning of the URL, like so: [v4.mui.com](https://v4.mui.com/).

:::

### GitHub

MUI uses GitHub issues as a bug and feature request tracker. If you think you have found a bug, or have a new feature idea, please start by making sure it hasn't already been [reported or fixed](https://github.com/mui/material-ui/issues?utf8=%E2%9C%93&q=is%3Aopen+is%3Aclosed). You can search through existing issues and pull requests to see if someone has reported one similar to yours.

- [开一个 issue](https://github.com/mui/material-ui/issues/new/choose)
- [Open an issue on MUI X](https://github.com/mui/mui-x/issues/new/choose)

#### 新 Issue 指南

- 请遵循 issue 模板。
- 请适当的以 '[ComponentName]' 为标题开始，并加以简洁的描述，这样能够帮助其他人找到类似的问题。
  - 使用"不工作"为标题 ❌
  - "[Button] 增加对 ... 的支持 <some feature>" ✅
- 请不要在一个 issue 中涵盖多个——取而代之的，是每一个话题有其独自的 issue。
- 请不要在一个 issue 评论中回复“+1”。 这样其实是向维护者发送垃圾信息，而中也无法帮助问题取得进展。 您可以用 GitHub 的表情（👍）来替代。

### 博客 📝

Stay up to date with the development of the library by following the blog.

[Read the latest posts](https://mui.com/blog/)

### 资源 📖

New to MUI? It's easy to learn if you know where to start!

[Learn MUI](/material-ui/getting-started/learn/)

### Twitter

Receive the latest news on MUI.

[Follow us](https://twitter.com/MUI_hq)

### 支持的版本

Find details on the [supported versions](/versions/#supported-versions).

## Paid support

### Tidelift 订阅

MUI X comes in [three plans](https://mui.com/pricing/). The support available under the Community plan is made possible thanks to people like you: the community. This is described in more detail in the section above. MUI X maintainers focus on solving root issues rather than offering direct support to the community at large.

The paid plans offer developers advanced components and extra features that are challenging to find in OSS. To provide a similar quality of experience to the one provided by the community for MIT licensed code, the developers of MUI X provide support for the advanced components only. Technical support for MUI Core components is **not** included.

The Premium plan provides developers with the highest priority for support tickets. No SLAs are provided yet; it's coming.

Please visit [the MUI X Support page](https://mui.com/x/introduction/support/#technical-support) for more detailed information on technical support.

### Tidelift subscription

MUI and the maintainers of thousands of other packages are working with Tidelift to deliver one enterprise subscription that covers all of the open-source you use.

If you want the flexibility of open-source and the confidence of commercial-grade software, this is worth looking at.

The Tidelift Subscription manages your dependencies for you:

- Get the tools you need to continuously catalog and understand the open-source software that your application depends on.
- Your subscription helps pay the open-source community maintainers of the packages you use, to ensure they meet the standards you require.
- Address issues proactively, with tools that scan for new security, licensing, and maintenance issues, and alert participating open-source maintainers so they can resolve them on your behalf.
- Tidelift helps measure and improve your open-source dependencies' health – which improves your app's health – and gives a shortlist of high-impact steps your team can take to improve them even more.
- Get commercial assurances that don't come for free with open-source packages, such as intellectual property indemnification and support under a service level agreement. You expect these guarantees from proprietary software, and you can get them when using open-source as well.

The end result? All of the capabilities you expect from commercial-grade software, for the full breadth of open-source you use. That means less time grappling with esoteric open-source trivia, and more time building your own applications – and your business.

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/pkg/npm-material-ui?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise">
获得更多详细信息
</a>

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/request-a-demo?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise">
申请一个演示
</a>

### 定制的工作 🛠

Tweak MUI to meet specific requirements. Give us a summary of your needs and we'll help you if we can. We might:

- Give you an estimate of time and price if the work is straightforward
- Suggest alternatives that might not require MUI
- Decline the work due to timing or relevancy

Note that work must be MUI related. We don't accept general React development work. Our contracting price is $200/hour or $1,500/day.

[Send us an email](mailto:custom-work@mui.com)
