---
title: MUI's company retreat in Tenerife: a recap
description: Our internationally distributed startup gathered on a remote island to get to know each other better. Here's what happened!
date: 2022-07-28T00:00:00.000Z
authors: ['samuelsycamore']
card: true
tags: ['Company']
---

One of the toughest challenges to overcome as a fully remote team is fostering a supportive and inclusive company culture.
How do you build trust, comradery, and—dare I say it?—_friendships_, when there are so few opportunities for spontaneous social interactions in our daily work routines?

At MUI, we've chosen to prioritize in-person company retreats as a way to grow together and cultivate the culture that informs how we operate.

<img alt="Photo of the MUI team in front of the pool at our accommodations in Tenerife" src="/static/blog/2022-tenerife-retreat/group-photo.jpeg" style="width: 692px; aspect-ratio: 4/3;" />

<p class="blog-description">The MUI team poses next to the pool during the company retreat.</p>

In late June 2022, sixteen of us gathered at a remote private residence on the island of Tenerife.
This was MUI's second company retreat, the first being in Portugal in 2021 when the team was just a fraction of the size it is today.

We had a ton of fun getting to know each other better over oceanic activities, poolside conversations, and incredible catered meals—not to mention a steady supply of local wine. 🥂
Oh, and I guess we got some work done along the way, too? 😅

## Destination

<img alt="Satellite image of Tenerife" src="/static/blog/2022-tenerife-retreat/tenerife.jpeg" style="aspect-ratio: 4/3;" loading="lazy" />

<p class="blog-description">Satellite photo of Tenerife, via <a href="https://en.wikipedia.org/wiki/Tenerife">Wikipedia</a>.</p>

Tenerife is a volcanic island off the coast of western Africa that's part of the Canary Islands (Spanish: _Canarias_).
It is the most populous island in the archipelago, and one of the most visited tourist destinations in the world.
Its central defining feature is Mount Teide, the third largest volcano in the world when measured from its base, which rises 7,500 m (24,600 ft) from the bottom of the ocean floor, and 3,715m (12,188 ft) above sea level.

With an average temperature ranging from about 18-25 °C (68-77 °F) year-round, it's hard to pick a bad time to visit!

## Accommodation

<img alt="Photo of the pool in the evening at Symbiosis Living" src="/static/blog/2022-tenerife-retreat/pool-evening.jpeg" style="aspect-ratio: 4/3;" loading="lazy" />

<p class="blog-description">A view of the pool at Symbiosis Living as dusk approaches.</p>

[Symbiosis Living](https://www.symbiosisliving.com/) is a sustainable retreat venue nestled deep in the hills on the western side of the island.
The venue is a venerable oasis of lush green flora amid the stark and barren volcanic rock that surrounds it, hosting breezy guest houses adorned with rustic, regionally sourced furniture.

<img alt="Photo of the outdoor kitchen at Symbiosis Living" src="/static/blog/2022-tenerife-retreat/outdoor-kitchen.jpeg" style="aspect-ratio: 4/3;" loading="lazy" />

<p class="blog-description">The outdoor kitchen at Symbiosis Living.</p>

The owners were exceptionally accommodating and supportive for the entirety of our stay.
Almost all of our meals were cooked fresh by the hosts in their fabulous outdoor kitchen.
I don't think I've ever eaten that many incredible home-cooked meals in a single week. 😋
And somehow each one was even better than the last!

<img alt="MUI X colleagues José and Andrew bond over a bottle of wine at dinner one night during the retreat." src="/static/blog/2022-tenerife-retreat/jose-andrew-wine.jpeg" style="aspect-ratio: 4/3;" loading="lazy" />

<p class="blog-description">MUI X colleagues José and Andrew bond through the tradition of a brüderschaft (German: <em>brotherhood</em>) toast.</p>

## Activities

Throughout our stay in Tenerife, we arranged group activities to make the most of what the island has to offer.

### Whale and dolphin watching

<img alt="Danail from the MUI X team snaps a selfie on the bow of the whale-watching boat, with coworkers in the background." src="/static/blog/2022-tenerife-retreat/whale-watching-danail.jpeg" style="aspect-ratio: 4/3;" loading="lazy" />

<p class="blog-description">Danail snaps a selfie on the whale-watching boat.</p>

Our first full day together saw us venture out into the Atlantic Ocean in search of dolphins and whales.

The waters surrounding the Canary Islands are a biodiversity hotspot, and feeding grounds for many different species of marine mammals.
We spotted several [pilot whales](https://whalewatchtenerife.org/pilot-whales/) and what I believe were [bottlenose dolphins](https://whalewatchtenerife.org/bottlenose-dolphin/), though I'll be the first to admit that I'm no expert. 😅

Several of us (myself included) made a critical mistake by skipping the sunscreen because it was a cloudy day.
We got burned to a crisp!
And on the first day of the retreat, no less! 😭
Don't be like us.
Wear sunscreen.

### Scuba diving lessons

<img alt="MUI team members and their diving instructors pose in scuba gear before a successful scuba diving lesson." src="/static/blog/2022-tenerife-retreat/scuba-gear.jpeg" style="aspect-ratio: 4/3;" loading="lazy" />

<p class="blog-description">MUI team members and their diving instructors pose in scuba gear before a successful scuba diving lesson.</p>

On day two we split up into smaller groups to get individualized lessons in scuba diving at the beach in Playa San Juan.

To be honest I was pretty intimidated, especially after I put on all the gear and tried breathing from the tank for the first time.
But once I got into the groove, the time underwater went by so quickly!
The main highlights for me were spotting a [ray](https://aqua-marina.com/rays/) swimming by, and accidentally disturbing a [cuttlefish](https://www.paradisedivers.co.uk/blog/cuttlefish/) who was not pleased by our presence–and put on a great show as a result!
Sorry, bud!

<img alt="Overhead view of MUI team members learning how to scuba dive underwater." src="/static/blog/2022-tenerife-retreat/scuba-1.jpeg" style="aspect-ratio: 4/3;" loading="lazy" />

<p class="blog-description">MUI team members learn how to dive off the coast of Tenerife.</p>

### Volcanic hike at sunset

<img alt="A group photo of the MUI crew posing near the base of Mount Teide at the start of the hike." src="/static/blog/2022-tenerife-retreat/teide-group.jpeg" loading="lazy" />

<p class="blog-description">The group poses at the start of the trail toward Teide.</p>

The third and final full day of the retreat took us up to Teide National Park for a guided interpretive hike around some of the lower peaks that surround Mount Teide as the sun was going down.

This was my personal favorite out of all the activities.
We learned a lot about the natural history of the island from our guide, who led us to one of the best sunset views I've ever seen in my life.
Photos don't even begin to do it justice.
I completely understand why Teide is one of Europe's most visited parks.

<img alt="The sun setting above the clouds as seen near the top of Teide." src="/static/blog/2022-tenerife-retreat/teide-sunset.jpeg" loading="lazy" />

<p class="blog-description">The Tenerife sunset as seen from Teide, above the clouds.</p>

## And also work

Believe it or not, we actually did manage to squeeze in some productive work time between all the fun!

### Roadmap to v6

<img alt="MUI Core team members Marija, Jun, and Sam discuss the product roadmap." src="/static/blog/2022-tenerife-retreat/focus-group.jpeg" loading="lazy" />

<p class="blog-description">MUI Core team discusses the product roadmap.</p>

One of the key goals of the retreat was to outline mid- to long-term goals for our products, and begin to estimate timelines to get where we want to go from here.

We had some great conversations about what we hope to accomplish over the next several months on the way to our next major release: MUI v6.
It's still hard to say when that release day might come, but we're optimistic that we could see it in mid to late 2023.
[@RemindMe_OfThis](https://twitter.com/RemindMe_OfThis) September 2023 🙃

<img alt="The product teams are seen spread out around a large indoor/outdoor workspace" src="/static/blog/2022-tenerife-retreat/focus-groups.jpeg" loading="lazy" />

<p class="blog-description">Product teams spread out throughout the breezy indoor/outdoor workspace.</p>

In any case, we now have a better idea of what v6 could look like, and we defined quite a few initiatives to move forward with while we're still in the world of v5.
Keep an eye out!

### Focus groups

<img alt="An impromptu focus group gathered next to the pool with laptops to discuss cross-team marketing strategies." src="/static/blog/2022-tenerife-retreat/outdoor-focus-group.jpeg" loading="lazy" />

<p class="blog-description">A focus group gathers to talk about developer marketing and outreach.</p>

Before the retreat, we were all invited to propose topics to cover in smaller groups for those who were interested.
This gave us a great opportunity for some cross-team collaboration that isn't usually part of our standard workflow.

I participated in sessions on copywriting, marketing, and developer outreach that I found particularly exciting—but I'm kind of a nerd like that. 🤓
Others discussed optimizing TypeScript performance, implementing editable demos in the docs, and supporting [Joy UI](/blog/first-look-at-joy/) with MUI X components, among other things.

### Our feline colleague 🐈

All throughout our working sessions, we were accompanied by a very friendly young kitty (name unknown) who consistently offered critical support when we needed it the most.
We can't thank her enough for her contributions to the company roadmap.

<img alt="Collage of several photos of the MUI team members cuddling with the neighborhood cat during our work sessions." src="/static/blog/2022-tenerife-retreat/cat-collage.jpeg" loading="lazy" />

<p class="blog-description">The cat was responsible for all of the cutest moments during the retreat.</p>

### In sync with the async team

It was honestly kind of odd to have (almost) all of my coworkers in the same as room as me.
This was the first time that the majority of us had ever met anyone else from the company in person—myself included.
But once we broke the ice and settled into a rhythm together, I felt that we established some common bonds and yes, friendships, that we will carry with us long after the sunburns have faded.

I'm really grateful to have had the opportunity to connect with some of the best and brightest colleagues I've ever had, and in such an idyllic location.
I think we're all already daydreaming about the next time we'll get to do this!

Speaking of which…

## Will you be at the next retreat?

We're hiring!

MUI is on track to grow from roughly 20 people to 40 or more by the time we get to our next company retreat in late Q1 2023.

We are constantly interviewing React developers from all around the world, and we are also increasingly looking to hire for non-technical roles such as [People Operations Manager](/careers/people-operations-manager/) in which you could have a huge impact steering the direction of the company's nascent HR department.

Check out [our open roles](/careers/) so you can join us before the next retreat!

The way I see it, we have two options—since it'll be the dead of winter for the Northern Hemisphere, we can either:

1. lean into the winter fun, maybe go skiing in the Alps? ⛷
2. escape the cold by heading to some Equatorial beaches 🏝

If you have a strong opinion one way or the other, then you better join the team sooner rather than later!

I look forward to meeting new colleagues—as well as reconnecting with the Tenerife crew—in 2023.

<img alt="The path leading down the hill from the sunset view, with Teide glowing red in the background." src="/static/blog/2022-tenerife-retreat/teide-hike.jpeg" loading="lazy" />

<p class="blog-description">One final view of Teide glowing red in the sunset.</p>
