---
title: December 2019 Update
description: Here are the most significant improvements in December.
date: 2020-01-07T00:00:00.000Z
authors: ['oliviertassinari']
tags: ['Company']
---

Here are the most significant improvements in December:

- 🚨 We have introduced a new [Alert](https://v4.mui.com/components/alert/) component in the lab, thanks to **[@dimitropoulos](https://github.com/dimitropoulos)** ([#18702](https://github.com/mui/material-ui/pull/18702)). The component also supports composition with a [Snackbar](https://v4.mui.com/components/snackbars/#customized-snackbars).

  ![Alert](/static/blog/december-2019-update/alert.png)

  <p class="blog-description">Standard variant</p>

  ![Alert](/static/blog/december-2019-update/alert-filled.png)

  <p class="blog-description">Filled variant</p>

- 👤 We have added [stacking](https://v4.mui.com/components/avatars/#grouped) support to the avatar.

  ![Stacking](/static/blog/december-2019-update/stacking.png)

- ↕️ We have added [vertical](https://v4.mui.com/components/button-group/#vertical-group) support to the button group.

  ![Vertical button](/static/blog/december-2019-update/vertical-buttons.png)

- 🌎 We have almost doubled the number of supported [locales](https://v4.mui.com/guides/localization/#supported-locales) from 13 to 22, thanks to our awesome contributors. Help us double this number next month 🚀!

But this summary is just scratching the surface. We have accepted 168 commits from 73 different contributors. We have changed 1,059 files with 13,468 additions and 8,584 deletions.

## Our roadmap intent for January

_(We'll do our best, no guarantee!)_

- 💄 We will keep working on a new [pagination](https://github.com/mui/material-ui/pull/19049) component. You can already [preview it](https://deploy-preview-19049--material-ui.netlify.app/components/pagination/) (lead by [**@mbrookes**](https://github.com/mbrookes)).

  ![Pagination](/static/blog/december-2019-update/pagination.png)

- 📅 We will keep working on a major upgrade of the [date/time picker](https://github.com/mui/material-ui-pickers/issues/1293) components. We are working on desktop and range support (lead by [**@dmtrKovalenko**](https://github.com/dmtrKovalenko)).

  ![Date picker](/static/blog/december-2019-update/date-picker.png)

- 🧮 We will keep working on a new [data grid](https://github.com/mui/material-ui/pull/18872) component. You can already [preview it](https://deploy-preview-18872--material-ui.netlify.app/components/data-grid/) (lead by [**@oliviertassinari**](https://github.com/oliviertassinari)).

  ![Data grid](/static/blog/december-2019-update/data-grid.png)

❓ Please upvote our [GitHub issues](https://github.com/mui/material-ui/issues) if you want something specific. The number of 👍 helps us to prioritize.
