# Engineering Manager - Toolpad

<p class="description">You will grow the small engineering team currently working on MUI Toolpad.</p>

## Details of the Role

- Location: Remote (preference for UTC-6 to UTC+5).
- Type of work: Full-time (contractor or employee [depending on circumstances](https://mui-org.notion.site/Hiring-FAQ-64763b756ae44c37b47b081f98915501))
- Level: [4 or above](https://docs.google.com/spreadsheets/d/1dDdPD-flNXlgZ0E3ZxVvCDx27RFuhVWJrcfcjNu_I8k/edit#gid=0).
- We're a remote company, we prefer asynchronous communication over meetings.
- We work independently, the rest of us won't know what you're doing day-to-day unless you tell us.

## About the company

MUI started with Material UI, the most successful React implementation of Google's Material Design.
It has gained a large following, not only due to the fidelity to Material Design, but also because of the number of components, its carefully designed component API, obsession for details, and community engagement.
Today, countless teams and organizations rely on our open-source libraries to build their design system.

A couple of years ago, we started to expand our suite of products.
We released [MUI X](https://mui.com/x/), a collection of advanced components; [MUI Design kits](https://mui.com/design-kits/), the MUI components available for the most popular design tools; and also host [Templates](https://mui.com/templates/), a set of pre-built UI kits.
We've seen rapid growth with all of them (2-3x per year) and we have more to come.

We are a fully distributed team, spread across multiple timezones.
We work mainly asynchronously, relying mostly on written collaboration.
Every contributor has the freedom to define how they work — the rest of us won't know what you're doing day-to-day unless you tell us.
For additional details about the MUI team and culture, you can check our [careers](https://mui.com/careers/) and [about](/about/) pages and also our [public Handbook](https://mui-org.notion.site/Handbook-f086d47e10794d5e839aef9dc67f324b).

## Why we're hiring

Both our open-source community and our premium products are growing fast (x2-3 YoY).
We need talented people to keep that going!

Our mission is to empower as many people as possible to build great UIs, faster.
The faster and simpler it is, and the broader the audience that can create custom UIs, the better.
We believe that the best way to improve on these dimensions is to eliminate [80%](https://www.youtube.com/watch?v=GnO7D5UaDig&t=2451s) of the code that has to be written.

A few months back we started to work on [MUI Toolpad](https://github.com/mui/mui-toolpad), an ambitious project to deliver on this objective.
We have found the beginning of a market fit in this low-code segment.
We need help to structure & grow the engineering team.

### Why this is interesting

Our solution empowers React developers to build awesome applications faster – we see over a million developers on MUI's docs every month.
Hundreds of thousands of developers use MUI every month.

Toolpad targets around half of this audience.
While the team is still very small (5), we believe that the headcount on this product has needs to grow +14% MoM until the end of 2023 (>70 people).
Growing the Toolpad engineering team will be full of challenges.

## About the role

### What you'll do on a day-to-day basis

Depending on the day, you'll:

- Hire and grow a diverse engineering team in a fast-scaling organization.
- Cultivate excellence in the craft of the software your team builds.
- Act as a servant leader for the engineers that report to you. You will support the career growth of individuals on your team.
- Develop a great work environment.
- Work directly with users and the engineering team to improve the product.
- Improve our processes, e.g. the lifecycle of feature development from design through testing and release.

For the right candidate:

- Working with the Leadership to construct and execute a hiring plan to grow the engineering team on toolpad from one to multiple

## About you

### Skills you should have

- You've managed or supported a diverse, distributed engineers on small or large teams.
- You have an interest in building a support structure for engineers to help them succeed.
- You have phenomenal communication skills for working across the organization, capable of building strong relationships with peers and leadership.
- You have had strong expertise and mastery of React or front-end development in the past.
- You have deep empathy for users. You have experience with customer support or OSS community support.

### What would be nice if you had, but isn't required

- **You've maintained an active repository before**. Maybe you've helped maintain a popular open-source repository, or perhaps you've worked on internal repositories that saw contributions from multiple teams. Previous experience with highly active repository workflows is a definite plus for this role.

## Benefits & Compensation

Competitive compensation depending on the profile and location.
We are ready to pay top market rates for a person that can clearly exceed the role's expectations.
You can find the other perks & benefits on the [careers](https://mui.com/careers/#perks-amp-benefits) page.

## How to apply?

[Apply now for this position 📮](https://jobs.ashbyhq.com/MUI/__ID__/application?utm_source=ZNRrPGBkqO)
