# People Operations Manager

<p class="description">Build the HR function from the ground up at a high-growth tech company.</p>

## Details of the Role

- Location: Remote (preference for UTC-6 to UTC+5).
- Type of work: Full-time (contractor or employee [depending on circumstances](https://mui-org.notion.site/Hiring-FAQ-64763b756ae44c37b47b081f98915501))
- We're a remote company, we prefer asynchronous communication over meetings.
- We work independently, the rest of us won't know what you're doing day-to-day unless you tell us.

## About the company

MUI started with Material UI, the most successful React implementation of Google's Material Design.
It has gained a large following, not only due to the fidelity to Material Design, but also because of the number of components, its carefully designed component API, obsession for details, and community engagement.
Today, countless teams and organizations rely on our open-source libraries to build their design system.

A couple of years ago, we started to expand our suite of products.
We released [MUI X](/x/), a collection of advanced components; [MUI Design kits](/design-kits/), the MUI components available for the most popular design tools; and also host [Templates](/templates/), a set of pre-built UI kits.
We've seen rapid growth with all of them (2-3x per year) and we have more to come.

We are a fully distributed team, spread across multiple timezones.
We work mainly asynchronously, relying mostly on written collaboration.
Every contributor has the freedom to define how they work — the rest of us won't know what you're doing day-to-day unless you tell us.
For additional details about the MUI team and culture, you can check our [careers](/careers/) and [about](/about/) pages and also our [public Handbook](https://mui-org.notion.site/Handbook-f086d47e10794d5e839aef9dc67f324b).

## Why we're hiring

Both our open-source community and our premium products are growing fast (x2-3 YoY).
We need talented people to keep that going!

At the current growth rate (self bootstrap), we target 25 new hires in 2022. We would reach 40 people.
We need somebody to lead our HR strategy including hiring, onboarding, diversity & inclusion, learning & development, and employee happiness.

## About the role

### Why this is interesting

You'll have the freedom to implement processes and to drive change across the organization.

Our solution empowers React developers to build awesome applications faster – we see over a million developers on MUI's docs every month.
Hundreds of thousands of developers use MUI every month.

### What you'll do on a day-to-day basis

Depending on the day, you'll:

- **Connecting individual performance with company goals**.
  - You will help all individuals understand their primary role within the wider organization.
  - You will partner with Finance for budgeting/compensation purposes. You will manage compensation, benefits, leave, and other people-related matters.
  - You will shape a strategy that aligns and moves MUI towards continued growth, innovation, and improvement.
- **Improve employees' experience**.
  - You will work on the employee engagement survey results.
  - You will reduce the admin burden.
  - You will own the Retreat. Bring our remote team together. Being a fully distributed remote team has its challenges. You organize team events, make sure everybody has what they need to be productive, and find creative ways to engage as a team.
- **Help employee development**. You will improve program for evaluating performance and providing feedback.
- **Help develop the remote culture**.
  You will continue to train and mentor the team to update information in the handbook, for easy access to all.
- **Legal compliance**. You will stay current on employee legislation and develop internal policies and procedures to support a scaling company; serve as the main point of contact for administrative matters.

## About you

You are a [manager of one](https://signalvnoise.com/posts/1430-hire-managers-of-one).
You are curious, you enjoy taking risks, and learning.

### Skills you should have

- 4+ years of experience as an HR business partner, preferably with experience at fast-growing technology companies.
- A great listener who enjoys interacting with others and is open to feedback.
- Excellent verbal and written communications skills that will enable you to develop relationships with all members of our team, regardless of tenure or position.
- Experience implementing HR programs such as compensation review process, HR compliance, and employee development/growth.
- Able to handle confidential information with discretion and deal with professionals inside and outside the company.
- Tech-savvy with the ability to learn new tools quickly and find tools to help automate workflows.
- A self-starter looking to grow and willing to own projects from start to finish with limited supervision.

### What would be nice if you had, but isn't required

- Basic knowledge of web development.

## Benefits & Compensation

Competitive compensation depending on the profile and location.
We are ready to pay top market rates for a person that can clearly exceed the role's expectations.
You can find the other perks & benefits on the [careers](/careers/#perks-amp-benefits) page.

## How to apply?

[Apply now for this position 📮](https://jobs.ashbyhq.com/MUI/b46968b7-dde3-4b91-9785-a05aa0a816d8/application?utm_source=ZNRrPGBkqO)
