# Product Engineer - Store

<p class="description">You will lead the technical and operational development of MUI Store.</p>

## Details of the Role

- Location: Remote (preference for UTC-6 to UTC+5).
- Type of work: Full-time (contractor or employee [depending on circumstances](https://mui-org.notion.site/Hiring-FAQ-64763b756ae44c37b47b081f98915501))
- Level: [4 or above](https://docs.google.com/spreadsheets/d/1dDdPD-flNXlgZ0E3ZxVvCDx27RFuhVWJrcfcjNu_I8k/edit#gid=0).
- We're a remote company, we prefer asynchronous communication over meetings.
- We work independently, the rest of us won't know what you're doing day-to-day unless you tell us.

## About the company

MUI started with Material UI, the most successful React implementation of Google's Material Design.
It has gained a large following, not only due to the fidelity to Material Design, but also because of the number of components, its carefully designed component API, obsession for details, and community engagement.
Today, countless teams and organizations rely on our open-source libraries to build their design system.

A couple of years ago, we started to expand our suite of products.
We released [MUI X](/x/), a collection of advanced components; [MUI Design kits](/design-kits/), the MUI components available for the most popular design tools; and also host [Templates](/templates/), a set of pre-built UI kits.
We've seen rapid growth with all of them (2-3x per year) and we have more to come.

We are a fully distributed team, spread across multiple timezones.
We work mainly asynchronously, relying mostly on written collaboration.
Every contributor has the freedom to define how they work — the rest of us won't know what you're doing day-to-day unless you tell us.
For additional details about the MUI team and culture, you can check our [careers](/careers/) and [about](/about/) pages and also our [public Handbook](https://mui-org.notion.site/Handbook-f086d47e10794d5e839aef9dc67f324b).

## Why we're hiring

The orders on the MUI Store are growing fast (x2-3 YoY).
We need talented people to keep that going!

The development and operations of the store are currently almost exclusively run by the executive team of the company (e.g. CEO). This team does no longer has enough bandwidth. The store doesn't receive the care it deserves. You will be responsible to step up and carry forward the development of the store on multiple fronts: implementing new features, reviewing new template submissions, defining the product direction, taking care of operational needs, and a lot more.

### Why this is interesting

You will get the opportunity to run MUI Store as a small start-up inside the company.

Our solution empowers React developers to build awesome applications faster – we see over a million developers on MUI's docs every month.
Hundreds of thousands of developers use MUI every month.

## About the role

### What you'll do on a day-to-day basis

Depending on the day, you'll:

- Implement new features on https://mui.com/store/ to better support customers and contributors.
- Review new items submitted by the contributors to be hosted on the marketplace.
- Fix root problems raised by customers on the support channel.
- Own the operations: manage payouts, create sales reports, etc.

### Here are a few initiatives you might work on

Tasks that you might work on once you join:

- Revamp the fulfillment pipeline for MUI X Pro/Premium.
- Add a search page to scale the hosting to more items from contributors.
- Revamp the design of the store to match the new brand of mui.com.
- Migrate the store from Gatsby to Next.js. Gatsby was introduced at a point in time where it had more downloads than Next.js. Our CEO has extensive experience with Next.js since 2017 but wanted to ensure that MUI was supporting Gatsby well too.
  This requirement [is no longer relevant](https://npm-stat.com/charts.html?package=next&package=gatsby&from=2019-12-18&to=2021-12-18), and since the DX of Next.js is significantly better, time to migrate.
- Develop the SEO strategy, create new blog posts.
- Develop the SEA strategy, try retargeting, Google Ads, etc.

## About you

We're looking for someone with strong development skills.
More important than specific technical skills though is that you're a strong problem solver who loves to learn new things. Details matter to you.

### Skills you should have

- **Expertise in WordPress and the modern JavaScript ecosystem.**
- **A track record of demonstrating an eye for product and solving real-world user problems**. If you have a knack for solving problems at the root cause, finding boring solutions, we want you on our team.
- **Strong written and verbal communication skills**.
  As part of the team, you'll interface both directly and indirectly with community members and enterprise customers, and contribute to user documentation. Clear communication is fundamental in creating intuitive and compelling resources.
- **Ability to dive into complex problems**.
  You should be able to quickly assess, understand, and iterate upon aspects of our codebase.
- **Ready and willing to ask and answer questions**.
  If you're comfortable saying you're unsure, asking for help; but equally reaching out to assist others, you'll be an incredible addition to our team. We thrive because of continuous learning. First-time mistakes should be celebrated, not blamed.
- **Avoid monolithic deliverables**.
  You scope and stage your work into well-defined milestones to ship.

### What it would be nice if you had, but isn't required

- **Has or is pursuing a business side project**. You owned a side project generating revenues on the side of your full-time job. You were doing whatever was necessary to solve people's pain.

## Benefits & Compensation

Competitive compensation depending on the profile and location.
We are ready to pay top market rates for a person that can clearly exceed the role's expectations.
You can find the other perks & benefits on the [careers](/careers/#perks-amp-benefits) page.

## How to apply?

[Apply now for this position 📮](https://jobs.ashbyhq.com/MUI/e641bac3-5538-4ec8-8d73-eaa1a03704d6/application?utm_source=ZNRrPGBkqO)
