# Product Manager

<p class="description">We are looking for a product manager to guide our roadmap and build a great product.</p>

## Details of the Role

- Location: Remote (preference for UTC-6 to UTC+5).
- Type of work: Full-time (contractor or employee [depending on circumstances](https://mui-org.notion.site/Hiring-FAQ-64763b756ae44c37b47b081f98915501))
- We're a remote company, we prefer asynchronous communication over meetings.
- We work independently, the rest of us won't know what you're doing day-to-day unless you tell us.

## About the company

MUI started with Material UI, the most successful React implementation of Google's Material Design.
It has gained a large following, not only due to the fidelity to Material Design, but also because of the number of components, its carefully designed component API, obsession for details, and community engagement.
Today, countless teams and organizations rely on our open-source libraries to build their design system.

A couple of years ago, we started to expand our suite of products.
We released [MUI X](/x/), a collection of advanced components; [MUI Design kits](/design-kits/), the MUI components available for the most popular design tools; and also host [Templates](/templates/), a set of pre-built UI kits.
We've seen rapid growth with all of them (2-3x per year) and we have more to come.

We are a fully distributed team, spread across multiple timezones.
We work mainly asynchronously, relying mostly on written collaboration.
Every contributor has the freedom to define how they work — the rest of us won't know what you're doing day-to-day unless you tell us.
For additional details about the MUI team and culture, you can check our [careers](/careers/) and [about](/about/) pages and also our [public Handbook](https://mui-org.notion.site/Handbook-f086d47e10794d5e839aef9dc67f324b).

## Why we're hiring

Both our open-source community and our premium products are growing fast (x2-3 YoY).
We need talented people to keep that going!

Our mission is to empower as many people as possible to build great UIs, faster.
The faster and simpler it is, and the broader the audience that can create custom UIs, the better.
We believe that the best way to improve on these dimensions is to eliminate [80%](https://www.youtube.com/watch?v=GnO7D5UaDig&t=2451s) of the code that has to be written: low-code.

### Why this is interesting

Our solution empowers React developers to build awesome applications faster – we see over a million developers on MUI's docs every month.
Hundreds of thousands of developers use MUI every month.

But providing React components isn't enough.
In our [last developer survey](/blog/2021-developer-survey-results/), we learned that the majority of our audience are full-stack developers.
They are looking for ways to move faster.
They are working on a couple of new projects every year, and where the integration between the UI and the database is key.

You will initiate the exploration of a bold new product vertical.

## About the role

### What you'll do on a day-to-day basis

Depending on the day, you'll:

- You will coordinate with the engineering to ensure that the product being delivered at each iteration solves the problem.
  This involves growing a deep understanding of our technical choices and constraints.
- You will drive the growth of the product by owning KPIs.
- You will grow and cultivate a deep understanding of the problems that developers have when they create simple applications (e.g. admins, prototypes). This means that you will observe and reach out to the community, run research interviews and share your insights with the team.
- You will keep a close eye on feature requests, issues, and general improvements, to curate opportunities based on our strategy.
- You will build a strategy for your product area and contribute to the overall product strategy, e.g. establishing a go-to-market strategy.
- You will assess the impact of initiatives through telemetry data and qualitative feedback to help us develop our understanding further, and decide on the next steps.

## About you

### Skills you should have

- 3+ years experience as Product Manager or closely related roles such as Product Owner, Program Manager, or Solutions Architect.
- Able to switch between the big picture and detailed view multiple times a day.

### What it would be nice if you had, but isn't required

- Experience building developer tools.
- Experience working with open-source and having interacted with open-source communities.

## Benefits & Compensation

Competitive compensation depending on the profile and location.
We are ready to pay top market rates for a person that can clearly exceed the role's expectations.
You can find the other perks & benefits on the [careers](/careers/#perks-amp-benefits) page.

## How to apply?

[Apply now for this position 📮](https://jobs.ashbyhq.com/MUI/__ID__/application?utm_source=ZNRrPGBkqO)
