# Support Agent - Store (future role)

<p class="description">You will provide support for the customers of MUI Store. You will directly impact customers' satisfaction and success.</p>

## Details of the Role

- Location: Remote (preference for UTC-6 to UTC+5).
- Type of work: Full-time (contractor or employee [depending on circumstances](https://mui-org.notion.site/Hiring-FAQ-64763b756ae44c37b47b081f98915501))
- We're a remote company, we prefer asynchronous communication over meetings.
- We work independently, the rest of us won't know what you're doing day-to-day unless you tell us.

## About the company

MUI started with Material UI, the most successful React implementation of Google's Material Design.
It has gained a large following, not only due to the fidelity to Material Design, but also because of the number of components, its carefully designed component API, obsession for details, and community engagement.
Today, countless teams and organizations rely on our open-source libraries to build their design system.

A couple of years ago, we started to expand our suite of products.
We released [MUI X](/x/), a collection of advanced components; [MUI Design kits](/design-kits/), the MUI components available for the most popular design tools; and also host [Templates](/templates/), a set of pre-built UI kits.
We've seen rapid growth with all of them (2-3x per year) and we have more to come.

We are a fully distributed team, spread across multiple timezones.
We work mainly asynchronously, relying mostly on written collaboration.
Every contributor has the freedom to define how they work — the rest of us won't know what you're doing day-to-day unless you tell us.
For additional details about the MUI team and culture, you can check our [careers](/careers/) and [about](/about/) pages and also our [public Handbook](https://mui-org.notion.site/Handbook-f086d47e10794d5e839aef9dc67f324b).

## Why we're hiring

The orders on the MUI Store are growing fast (x2-3 YoY).
We need talented people to keep that going!

The support on the store is currently almost exclusively done by the executive team of the company (e.g. CSO). This team does no longer has enough bandwidth. You will be responsible to step up and carry forward the support provided to customers of the store on multiple fronts: answering license questions, processing purchase orders, granting refunds, identifying recurring problems, and a lot more.

## About the role

### Why this is interesting

You will be in the tech industry. We offer flexibility in your work day.

Our solution empowers React developers to build awesome applications faster – we see over a million developers on MUI's docs every month.
Hundreds of thousands of developers use MUI every month.

### What you'll do on a day-to-day basis

Depending on the day, you'll:

- Respond to customer inquiries via email in a clear, concise, and comprehensive manner.
  You might provide refunds, answer license questions, process purchase-orders, etc.
- Assist in writing and maintaining the FAQs and guides.
- Suggest opportunities to make customers happier for our product team.
- Suggest opportunities to improve the quality and efficiency of our customer service operation.

## About you

### Skills you should have

- 1+ years' experience in a Customer Support role.
- Exceptional writing skills (be clear and concise).
- Experience working remotely.

### What it would be nice if you had, but isn't required

- Basic knowledge of web development.

## Benefits & Compensation

Competitive compensation depending on the profile and location of up to $20/h.
You can find the other perks & benefits on the [careers](/careers/#perks-amp-benefits) page.

## How to apply?

[Apply now for this position 📮](https://jobs.ashbyhq.com/MUI/79a9b5ec-6fb3-41ec-b48b-0a792ced7c19/application?utm_source=ZNRrPGBkqO)
