import path from 'path';
import { expect } from 'chai';
import jscodeshift from 'jscodeshift';
import transform from './theme-breakpoints';
import readFile from '../util/readFile';

function read(fileName) {
  return readFile(path.join(__dirname, fileName));
}

describe('@mui/codemod', () => {
  describe('v5.0.0', () => {
    describe('theme-breakpoints', () => {
      it('transforms props as needed', () => {
        const actual = transform(
          {
            source: read('./theme-breakpoints.test/actual.js'),
            path: require.resolve('./theme-breakpoints.test/actual.js'),
          },
          { jscodeshift },
          {},
        );

        const expected = read('./theme-breakpoints.test/expected.js');
        expect(actual).to.equal(expected, 'The transformed version should be correct');
      });
    });
  });
});
