/* eslint-disable @typescript-eslint/no-unused-vars */
import * as React from 'react';

let warnedOnce = false;

const warn = () => {
  if (!warnedOnce) {
    console.warn(
      [
        'MUI: The TimePicker component was moved from `@mui/lab` to `@mui/x-date-pickers`.',
        '',
        "You should use `import { TimePicker } from '@mui/x-date-pickers'`",
        "or `import { TimePicker } from '@mui/x-date-pickers/TimePicker'`",
        '',
        'More information about this migration on our blog: https://mui.com/blog/lab-date-pickers-to-mui-x/.',
      ].join('\n'),
    );

    warnedOnce = true;
  }
};

type TimePickerComponent = (<TDate>(
  props: TimePickerProps<TDate> & React.RefAttributes<HTMLDivElement>,
) => JSX.Element) & { propTypes?: any };

/**
 * @ignore - do not document.
 */
const TimePicker = React.forwardRef(function DeprecatedTimePicker() {
  warn();

  return null;
}) as TimePickerComponent;

export default TimePicker;

export type TimePickerProps<TDate> = Record<any, any>;
